## GwyLayerLine

GwyLayerLine — Data view layer for arbitrary line selections

## Functions

GwyVectorLayer * | gwy_layer_line_new ()
gboolean | gwy_layer_line_get_numbered ()
void | gwy_layer_line_set_numbered ()
gboolean | gwy_layer_line_get_center_tick ()
void | gwy_layer_line_set_center_tick ()
gdouble | gwy_layer_line_get_thickness ()
void | gwy_layer_line_set_thickness ()

## Properties

gboolean | center-tick | Read / Write
gboolean | numbered | Read / Write
double | thickness | Read / Write

## Types and Values

struct | GwyLayerLine
struct | GwyLayerLineClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GwyDataViewLayer
                ╰── GwyVectorLayer
                    ╰── GwyLayerLine

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyLayerLine allows selection of lines oriented in arbitrary directions. It uses GwySelectionLine selection type.

## Functions

### gwy_layer_line_new()

    GwyVectorLayer *
    gwy_layer_line_new (void);

Creates a new line vector layer.

#### Returns

A newly created line vector layer.

### gwy_layer_line_get_numbered()

    gboolean
    gwy_layer_line_get_numbered (GwyLayerLine *layer);

Reports whether a line vector layer has visibly numbered lines.

#### Parameters

layer | A line vector layer. |

#### Returns

`TRUE` if line numbers are shown; `FALSE` if line numbers are not shown.

### gwy_layer_line_set_numbered()

    void
    gwy_layer_line_set_numbered (GwyLayerLine *layer,
                                 gboolean numbered);

Sets whether a line vector layer has visibly numbered lines.

#### Parameters

layer | A line vector layer. |
numbered | `TRUE` to show line numbers; `FALSE` to not show line numbers. |

### gwy_layer_line_get_center_tick()

    gboolean
    gwy_layer_line_get_center_tick (GwyLayerLine *layer);

Reports whether a tick is drawn in line centres in a line vector layer.

#### Parameters

layer | A line vector layer. |

#### Returns

`TRUE` if a tick is drawn in the centre; `FALSE` if it is not drawn.

### gwy_layer_line_set_center_tick()

    void
    gwy_layer_line_set_center_tick (GwyLayerLine *layer,
                                    gboolean center_tick);

Sets whether a tick is drawn in line centres in a line vector layer.

#### Parameters

layer | A line vector layer. |
center_tick | `TRUE` to draw a tick in the centre; `FALSE` to not draw it. |

### gwy_layer_line_get_thickness()

    gdouble
    gwy_layer_line_get_thickness (GwyLayerLine *layer);

Gets the size of markers denoting line thickness.

#### Parameters

layer | A line vector layer. |

#### Returns

Line thickness.

### gwy_layer_line_set_thickness()

    void
    gwy_layer_line_set_thickness (GwyLayerLine *layer,
                                  gdouble thickness);

Sets the size of markers denoting line thickness.

#### Parameters

layer | A line vector layer. |
thickness | Marker size, denoting line thickness. |

## Types and Values

### struct GwyLayerLine

    struct GwyLayerLine;

### struct GwyLayerLineClass

    struct GwyLayerLineClass {
        GwyVectorLayerClass parent_class;
    };

## Property Details

### The `“center-tick”` property

      “center-tick”              gboolean

Whether to draw a tick in the line center.

Owner: GwyLayerLine

Flags: Read / Write

Default value: FALSE

### The `“numbered”` property

      “numbered”                 gboolean

Whether to show line numbers.

Owner: GwyLayerLine

Flags: Read / Write

Default value: FALSE

### The `“thickness”` property

      “thickness”                double

Size of markers denoting line thickness.

Owner: GwyLayerLine

Flags: Read / Write

Allowed values: [0,1024]

Default value: 0